Fetch a single ReadyLink
curl --request GET \
--url https://app.auditynow.com/api/agent/readylinks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.auditynow.com/api/agent/readylinks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.auditynow.com/api/agent/readylinks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"fullUrl": "<string>",
"isActive": true,
"leadCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"assessmentConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assessmentConfigName": "<string>",
"bookingLink": "<string>",
"consultantName": "<string>",
"consultantCompany": "<string>",
"consultantLogo": "<string>",
"customDescription": "<string>",
"customDomain": "<string>"
}
}{
"error": "Unauthorized"
}{
"error": "<string>",
"details": "<string>"
}ReadyLinks
Fetch a single ReadyLink
Returns the ReadyLink by ID if it exists and is active (soft-deleted ones return 404). Returns 404 if the ReadyLink doesn’t exist or doesn’t belong to the caller.
GET
/
api
/
agent
/
readylinks
/
{id}
Fetch a single ReadyLink
Authorizations
A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.
Path Parameters
The ReadyLink's UUID.
Response
ReadyLink detail
A ReadyLink survey distribution link with customization and lead tracking.
Show child attributes
Show child attributes
⌘I

